## soapyremote 0.3.2

=== common/CMakeLists.txt ===
########################################################################
# Build the remote support library
########################################################################
set(COMMON_SOURCES
    SoapyURLUtils.cpp
    SoapyRPCSocket.cpp
    SoapyRPCPacker.cpp
    SoapyRPCUnpacker.cpp
    SoapyStreamEndpoint.cpp
    SoapyHTTPUtils.cpp
    SoapySSDPEndpoint.cpp
)

#configure ssdp defines
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/SoapyInfoUtils.in.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/SoapyInfoUtils.cpp
@ONLY)
list(APPEND COMMON_SOURCES ${CMAKE_CURRENT_BINARY_DIR}/SoapyInfoUtils.cpp)

#check for platform-specific network header
include(CheckIncludeFiles)
CHECK_INCLUDE_FILES(winsock2.h HAS_WINSOCK2_H)
CHECK_INCLUDE_FILES(ws2tcpip.h HAS_WS2TCPIP_H)
CHECK_INCLUDE_FILES(netdb.h HAS_NETDB_H)
CHECK_INCLUDE_FILES(unistd.h HAS_UNISTD_H)
CHECK_INCLUDE_FILES(netinet/in.h HAS_NETINET_IN_H)
CHECK_INCLUDE_FILES(netinet/tcp.h HAS_NETINET_TCP_H)
CHECK_INCLUDE_FILES(sys/types.h HAS_SYS_TYPES_H)
CHECK_INCLUDE_FILES(sys/socket.h HAS_SYS_SOCKET_H)
CHECK_INCLUDE_FILES(arpa/inet.h HAS_ARPA_INET_H)
CHECK_INCLUDE_FILES(ifaddrs.h HAS_IFADDRS_H)
CHECK_INCLUDE_FILES(net/if.h HAS_NET_IF_H)

#network libraries
if (WIN32)
    list(APPEND SoapySDR_LIBRARIES ws2_32)
endif (WIN32)

#create private include header for network compatibility
include_directories(${CMAKE_CURRENT_BINARY_DIR})
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/SoapySocketDefs.in.hpp
    ${CMAKE_CURRENT_BINARY_DIR}/SoapySocketDefs.hpp)

#build a static library
include_directories(${SoapySDR_INCLUDE_DIRS})
add_library(SoapySDRRemoteCommon STATIC ${COMMON_SOURCES})
target_link_libraries(SoapySDRRemoteCommon ${SoapySDR_LIBRARIES})
set_property(TARGET SoapySDRRemoteCommon PROPERTY POSITION_INDEPENDENT_CODE TRUE)

## soapyremote 0.3.1

=== debian/changelog ===
soapyremote (0.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #838314)

 -- Andreas Bombe <aeb@debian.org>  Thu, 20 Oct 2016 02:42:10 +0200

=== debian/control ===
Source: soapyremote
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 10),
    cmake,
    libsoapysdr-dev
Standards-Version: 3.9.8
Homepage: https://github.com/pothosware/SoapyRemote/wiki
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyremote.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyremote.git

Package: soapysdr0.5-2-module-remote
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.5-2-module
Description: Use SoapySDR devices over network (client module)
 The SoapyRemote project provides a client module and a server that make it
 possible on the client side to list and access hardware supported by SoapySDR
 modules on the server as if they were local modules.
 .
 This package contains the client module.

Package: soapysdr-module-remote
Architecture: any
Depends: soapysdr0.5-2-module-remote, ${misc:Depends}
Description: Use SoapySDR devices over network (default client module)
 The SoapyRemote project provides a client module and a server that make it
 possible on the client side to list and access hardware supported by SoapySDR
 modules on the server as if they were local modules.
 .
 This is an empty dependency package that pulls in the client module for the
 default version of libsoapysdr.

Package: soapyremote-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Use SoapySDR devices over network (server)
 The SoapyRemote project provides a client module and a server that make it
 possible on the client side to list and access hardware supported by SoapySDR
 modules on the server as if they were local modules.
 .
 This package contains the server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_installinit:
	# installinit creates init.d snippets even though only a systemd
	# unit file is installed; disable and let dh_systemd do the work

override_dh_installdocs:
	dh_installdocs -p soapysdr-module-remote \
		--link-doc=soapysdr0.5-2-module-remote
	dh_installdocs --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs Changelog.txt

## soapyremote 0.3.2

=== debian/changelog ===
soapyremote (0.3.2-1) unstable; urgency=medium

  * New upstream release
  * Remove local manpage, it was merged upstream
  * Make soapysdr-module-remote Multi-Arch: same
  * Remove --parallel from dh invocation, default in compat 10
  * Add README.Debian with information on how to increase socket buffer
    limits

 -- Andreas Bombe <aeb@debian.org>  Sun, 11 Dec 2016 02:21:28 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 
 Package: soapysdr-module-remote
 Architecture: any
+Multi-Arch: same
 Depends: soapysdr0.5-2-module-remote, ${misc:Depends}
 Description: Use SoapySDR devices over network (default client module)
  The SoapyRemote project provides a client module and a server that make it

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --buildsystem=cmake --parallel
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

## soapyremote 0.4.2

=== common/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 CHECK_INCLUDE_FILES(arpa/inet.h HAS_ARPA_INET_H)
 CHECK_INCLUDE_FILES(ifaddrs.h HAS_IFADDRS_H)
 CHECK_INCLUDE_FILES(net/if.h HAS_NET_IF_H)
+CHECK_INCLUDE_FILES(fcntl.h HAS_FCNTL_H)
 
 #network libraries
 if (WIN32)

=== system/CMakeLists.txt ===
########################################################################
# SoapySDRServer systemd service
########################################################################
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/SoapySDRServer.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/SoapySDRServer.service
@ONLY)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/SoapySDRServer.service
    DESTINATION lib/systemd/system)

########################################################################
# Increase the sysctl network limits
########################################################################
install(
    FILES SoapySDRServer.sysctl
    RENAME SoapySDRServer.conf
    DESTINATION lib/sysctl.d)

=== debian/changelog ===
soapyremote (0.4.2-1) unstable; urgency=medium

  * New upstream release
  * Change SoapySDR ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Build-Depend on versioned libsoapysdr0.6-dev instead of libsoapysdr-dev
  * Link with --as-needed
  * Adjust copyright years for Josh Blum in debian/copyright
  * Bump Standards-Version to 4.0.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Fri, 11 Aug 2017 15:08:47 -0400

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends:
     debhelper (>= 10),
     cmake,
-    libsoapysdr-dev
-Standards-Version: 3.9.8
+    libsoapysdr0.6-dev
+Standards-Version: 4.0.1
 Homepage: https://github.com/pothosware/SoapyRemote/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyremote.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyremote.git
 
-Package: soapysdr0.5-2-module-remote
+Package: soapysdr0.6-module-remote
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.5-2-module
+Provides: soapysdr0.6-module
 Description: Use SoapySDR devices over network (client module)
  The SoapyRemote project provides a client module and a server that make it
  possible on the client side to list and access hardware supported by SoapySDR
@@ -27,7 +27,7 @@
 Package: soapysdr-module-remote
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.5-2-module-remote, ${misc:Depends}
+Depends: soapysdr0.6-module-remote, ${misc:Depends}
 Description: Use SoapySDR devices over network (default client module)
  The SoapyRemote project provides a client module and a server that make it
  possible on the client side to list and access hardware supported by SoapySDR

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -20,7 +21,7 @@
 
 override_dh_installdocs:
 	dh_installdocs -p soapysdr-module-remote \
-		--link-doc=soapysdr0.5-2-module-remote
+		--link-doc=soapysdr0.6-module-remote
 	dh_installdocs --remaining-packages
 
 override_dh_installchangelogs:

## soapyremote 0.4.3

=== CMakeLists.txt ===
########################################################################
# Build Soapy SDR remote support
########################################################################
cmake_minimum_required(VERSION 2.8.7)
project(SoapyRemote CXX C)

# select build type to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

#find soapy sdr
find_package(SoapySDR "0.4.0" NO_MODULE)

#enable c++11 features
if(CMAKE_COMPILER_IS_GNUCXX)

    #C++11 is a required language feature for this project
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_STD_CXX11)
    if(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    endif()

    #Thread support enabled (not the same as -lpthread)
    list(APPEND SoapySDR_LIBRARIES -pthread)

endif(CMAKE_COMPILER_IS_GNUCXX)

#enable c++11 extensions for OSX
if (APPLE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -Wc++11-extensions")
endif(APPLE)

#common headers used by client and server
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/common)

add_subdirectory(common)
add_subdirectory(client)
add_subdirectory(server)

if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    add_subdirectory(system)
endif()

=== client/CMakeLists.txt ===
########################################################################
# Build the client plugin module
########################################################################
SOAPY_SDR_MODULE_UTIL(
    TARGET remoteSupport
    SOURCES
        Registration.cpp
        Settings.cpp
        Streaming.cpp
        LogAcceptor.cpp
        ClientStreamData.cpp
    LIBRARIES
        SoapySDRRemoteCommon
)

=== debian/changelog ===
soapyremote (0.4.3-1) unstable; urgency=medium

  * New upstream release
  * Adjust copyright years for Josh Blum in debian/copyright
  * Increase debhelper compat level to 11 and remove dh_installinit override
    from debian/rules
  * Switch Vcs-* headers over to repositories on salsa.debian.org
  * Bump Standards-Version to 4.1.3, no changes required
  * Use https URL for debian/copyright Format header

 -- Andreas Bombe <aeb@debian.org>  Fri, 23 Mar 2018 03:04:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 10),
+    debhelper (>= 11),
     cmake,
     libsoapysdr0.6-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/pothosware/SoapyRemote/wiki
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyremote.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyremote.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyremote
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyremote.git
 
 Package: soapysdr0.6-module-remote
 Architecture: any

## soapyremote 0.5.1

=== debian/changelog ===
soapyremote (0.5.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:58 +0100

soapyremote (0.5.1-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.4.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 20 Oct 2019 17:38:16 +0200

soapyremote (0.5.1-1) experimental; urgency=medium

  * New upstream version 0.5.1
  * Change SoapySDR ABI version in package names and dependencies from 0.6
    to 0.7
  * Add build dependency on libavahi-client-dev for new DNS-SD support
  * Adjust copyright years for Josh Blum in debian/copyright
  * Increase debhelper compat level to 12
  * Bump Standards-Version to 4.4.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Mon, 23 Sep 2019 02:29:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,20 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 11),
+    debhelper (>= 12),
     cmake,
-    libsoapysdr0.6-dev
-Standards-Version: 4.1.3
+    libsoapysdr0.7-dev,
+    libavahi-client-dev
+Standards-Version: 4.4.1
 Homepage: https://github.com/pothosware/SoapyRemote/wiki
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyremote
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyremote.git
 
-Package: soapysdr0.6-module-remote
+Package: soapysdr0.7-module-remote
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.6-module
+Provides: soapysdr0.7-module
 Description: Use SoapySDR devices over network (client module)
  The SoapyRemote project provides a client module and a server that make it
  possible on the client side to list and access hardware supported by SoapySDR
@@ -27,7 +28,7 @@
 Package: soapysdr-module-remote
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.6-module-remote, ${misc:Depends}
+Depends: soapysdr0.7-module-remote, ${misc:Depends}
 Description: Use SoapySDR devices over network (default client module)
  The SoapyRemote project provides a client module and a server that make it
  possible on the client side to list and access hardware supported by SoapySDR

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
-override_dh_installinit:
-	# installinit creates init.d snippets even though only a systemd
-	# unit file is installed; disable and let dh_systemd do the work
-
 override_dh_installdocs:
 	dh_installdocs -p soapysdr-module-remote \
-		--link-doc=soapysdr0.6-module-remote
+		--link-doc=soapysdr0.7-module-remote
 	dh_installdocs --remaining-packages
 
 override_dh_installchangelogs:

## soapyremote 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,27 @@
 ########################################################################
 cmake_minimum_required(VERSION 2.8.7)
 project(SoapyRemote CXX C)
+
+#extract changelog version
+file(READ "${PROJECT_SOURCE_DIR}/Changelog.txt" changelog_txt)
+string(REGEX MATCH "Release ([0-9]+\\.[0-9]+\\.[0-9]+) \\(" CHANGELOG_MATCH "${changelog_txt}")
+if(NOT CHANGELOG_MATCH)
+    message(FATAL_ERROR "Failed to extract version number from Changelog.txt")
+endif(NOT CHANGELOG_MATCH)
+set(SOAPY_REMOTE_VERSION "${CMAKE_MATCH_1}")
+
+if (NOT SOAPY_REMOTE_EXTVER)
+    include(${PROJECT_SOURCE_DIR}/cmake/Modules/GetGitRevisionDescription.cmake)
+    get_git_head_revision(GITREFSPEC GITHASH)
+    if (GITHASH)
+        string(SUBSTRING "${GITHASH}" 0 8 GITHASH)
+        set(SOAPY_REMOTE_EXTVER "g${GITHASH}")
+    else (GITHASH)
+        set(SOAPY_REMOTE_EXTVER "unknown")
+    endif (GITHASH)
+endif()
+
+set(SOAPY_REMOTE_VERSION "${SOAPY_REMOTE_VERSION}-${SOAPY_REMOTE_EXTVER}")
 
 # select build type to get optimization flags
 if(NOT CMAKE_BUILD_TYPE)
@@ -31,10 +52,25 @@
 
 endif(CMAKE_COMPILER_IS_GNUCXX)
 
+#link threads in freebsd
+if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
+    find_package(Threads)
+    message(STATUS "CMAKE_THREAD_LIBS_INIT: ${CMAKE_THREAD_LIBS_INIT}")
+    list(APPEND SoapySDR_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
+endif()
+
 #enable c++11 extensions for OSX
 if (APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -Wc++11-extensions")
 endif(APPLE)
+
+if(MSVC)
+    #we always want to use multiple cores for compilation
+    add_compile_options(/MP)
+
+    #projects should be cross-platform and standard stl functions should work
+    add_definitions(-DNOMINMAX) #enables std::min and std::max
+endif()
 
 #common headers used by client and server
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/common)
@@ -46,3 +82,9 @@
 if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
     add_subdirectory(system)
 endif()
+
+#########################################################################
+# summary
+#########################################################################
+message(STATUS "SoapyRemote version: v${SOAPY_REMOTE_VERSION}")
+message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")

=== client/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
         Streaming.cpp
         LogAcceptor.cpp
         ClientStreamData.cpp
+        DiscoverServers.cpp
     LIBRARIES
         SoapySDRRemoteCommon
 )

=== common/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,15 @@
     SoapyStreamEndpoint.cpp
     SoapyHTTPUtils.cpp
     SoapySSDPEndpoint.cpp
+    SoapyIfAddrs.cpp
 )
+
+#network interface enumeration
+if (WIN32)
+    list(APPEND COMMON_SOURCES SoapyIfAddrsWindows.cpp)
+else ()
+    list(APPEND COMMON_SOURCES SoapyIfAddrsUnix.cpp)
+endif ()
 
 #configure ssdp defines
 configure_file(
@@ -33,10 +41,41 @@
 CHECK_INCLUDE_FILES(net/if.h HAS_NET_IF_H)
 CHECK_INCLUDE_FILES(fcntl.h HAS_FCNTL_H)
 
+include(CheckCXXSourceCompiles)
+CHECK_CXX_SOURCE_COMPILES("#include <cstring>
+int main(void){return strerror_r(0, NULL, 0);}" STRERROR_R_XSI)
+if (STRERROR_R_XSI)
+    add_definitions(-DSTRERROR_R_XSI)
+endif ()
+
 #network libraries
 if (WIN32)
     list(APPEND SoapySDR_LIBRARIES ws2_32)
 endif (WIN32)
+
+#avahi for discovery over mDNS/DNS-SD daemon
+if (UNIX AND NOT APPLE)
+    list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
+    find_package(Avahi)
+    if (NOT AVAHI_FOUND)
+        message(WARNING
+            "Cannot find Avahi client development files:"
+            "Avahi is recommended for device discovery over mDNS."
+            "Please install libavahi-client-dev or equivalent.")
+    endif ()
+endif ()
+
+if (APPLE)
+    list(APPEND COMMON_SOURCES SoapyMDNSEndpointApple.cpp)
+elseif (AVAHI_FOUND)
+    message(STATUS "AVAHI_INCLUDE_DIRS=${AVAHI_INCLUDE_DIRS}")
+    message(STATUS "AVAHI_LIBRARIES=${AVAHI_LIBRARIES}")
+    include_directories(${AVAHI_INCLUDE_DIRS})
+    list(APPEND SoapySDR_LIBRARIES ${AVAHI_LIBRARIES})
+    list(APPEND COMMON_SOURCES SoapyMDNSEndpointAvahi.cpp)
+else ()
+    list(APPEND COMMON_SOURCES SoapyMDNSEndpointNone.cpp)
+endif ()
 
 #create private include header for network compatibility
 include_directories(${CMAKE_CURRENT_BINARY_DIR})

=== server/CMakeLists.txt ===
########################################################################
# Thread config support
########################################################################
find_library(
    RT_LIBRARIES
    NAMES rt
    PATHS /usr/lib /usr/lib64
)

if (RT_LIBRARIES)
    list(APPEND SoapySDR_LIBRARIES ${RT_LIBRARIES})
endif()

if(WIN32)
    list(APPEND SOAPY_SERVER_SOURCES ThreadPrioWindows.cpp)
elseif(UNIX)
    list(APPEND SOAPY_SERVER_SOURCES ThreadPrioUnix.cpp)
endif()

########################################################################
# Build the remote server application
########################################################################
list(APPEND SOAPY_SERVER_SOURCES
    SoapyServer.cpp
    ServerListener.cpp
    ClientHandler.cpp
    LogForwarding.cpp
    ServerStreamData.cpp
)
if (MSVC)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/msvc)
endif ()
include_directories(${SoapySDR_INCLUDE_DIRS})
add_executable(SoapySDRServer ${SOAPY_SERVER_SOURCES})
target_link_libraries(SoapySDRServer ${SoapySDR_LIBRARIES} SoapySDRRemoteCommon)
install(TARGETS SoapySDRServer DESTINATION bin)

#install man pages for the application executable
install(FILES SoapySDRServer.1 DESTINATION share/man/man1)

=== debian/changelog ===
soapyremote (0.5.2-3) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Tue, 07 Sep 2021 01:28:10 +0200

soapyremote (0.5.2-2) experimental; urgency=medium

  * Change SoapySDR ABI version in package names and dependencies from 0.7
    to 0.8
  * Add Rules-Requires-Root field to d/control
  * Bump Standards-Version to 4.6.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sat, 28 Aug 2021 19:31:04 +0200

soapyremote (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Update copyright years for Josh Blum in debian/copyright
  * Bump Standards-Version to 4.5.0, no changes required
  * Increase debhelper compat level to 13 and use debhelper-compat
    Build-Depends instead of debian/compat file
  * Add debian/not-installed listing files expected to not be installed for
    dh_missing

 -- Andreas Bombe <aeb@debian.org>  Tue, 25 Aug 2020 01:26:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 12),
+    debhelper-compat (= 13),
     cmake,
-    libsoapysdr0.7-dev,
+    libsoapysdr0.8-dev,
     libavahi-client-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/pothosware/SoapyRemote/wiki
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyremote
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyremote.git
+Rules-Requires-Root: no
 
-Package: soapysdr0.7-module-remote
+Package: soapysdr0.8-module-remote
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.7-module
+Provides: soapysdr0.8-module
 Description: Use SoapySDR devices over network (client module)
  The SoapyRemote project provides a client module and a server that make it
  possible on the client side to list and access hardware supported by SoapySDR
@@ -28,7 +29,7 @@
 Package: soapysdr-module-remote
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.7-module-remote, ${misc:Depends}
+Depends: soapysdr0.8-module-remote, ${misc:Depends}
 Description: Use SoapySDR devices over network (default client module)
  The SoapyRemote project provides a client module and a server that make it
  possible on the client side to list and access hardware supported by SoapySDR

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 override_dh_installdocs:
 	dh_installdocs -p soapysdr-module-remote \
-		--link-doc=soapysdr0.7-module-remote
+		--link-doc=soapysdr0.8-module-remote
 	dh_installdocs --remaining-packages
 
 override_dh_installchangelogs:

=== debian/watch ===
version=4
https://github.com/pothosware/SoapyRemote/releases .*/soapy-remote-([\d\.]+)\.tar\.(?:xz|gz|bz2)
